| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::internal_sync_actor Class Referenceabstract

`#include <uhd/features/internal_sync_iface.hpp>`

## Detailed Description

A class that provides access to the internal sync clock of a USRP. The implementation of the set_internal_sync_clk() method will be called by the enable and disable methods of the internal sync class.

## Public Types
using | sptr = std::shared_ptr<internal_sync_actor>

## Public Member Functions
virtual | ~internal_sync_actor ()=default
virtual void | set_internal_sync_clk (const bool enable)=0

## Member Typedef Documentation

## ◆ sptr

using uhd::usrp::internal_sync_actor::sptr = std::shared_ptr<internal_sync_actor>

## Constructor & Destructor Documentation

## ◆ ~internal_sync_actor()

virtual uhd::usrp::internal_sync_actor::~internal_sync_actor | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ set_internal_sync_clk()

virtual void uhd::usrp::internal_sync_actor::set_internal_sync_clk | ( | const bool | enable | ) |
| pure virtual

Enable or disable the sync clock for this daughterboard.

The documentation for this class was generated from the following file:

- internal_sync_iface.hpp